JUCE: AudioProcessorValueTreeState::ParameterLayout Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AudioProcessorValueTreeState::ParameterLayout Class Referencefinal
juce_audio_processors » utilities

A class to contain a set of RangedAudioParameters and AudioProcessorParameterGroups containing RangedAudioParameters. More...

`#include <juce_AudioProcessorValueTreeState.h>`

## Public Member Functions
template<typename... Items>
| ParameterLayout (std::unique_ptr< Items >... items)
template<typename It , typename = ValidIfIterator<It>>
| ParameterLayout (It begin, It end)
template<typename... Items>
void | add (std::unique_ptr< Items >... items)
template<typename It , typename = ValidIfIterator<It>>
void | add (It begin, It end)
| ParameterLayout (const ParameterLayout &other)=delete
| ParameterLayout (ParameterLayout &&other) noexcept
ParameterLayout & | operator= (const ParameterLayout &other)=delete
ParameterLayout & | operator= (ParameterLayout &&other) noexcept
void | swap (ParameterLayout &other) noexcept

## Detailed Description

A class to contain a set of RangedAudioParameters and AudioProcessorParameterGroups containing RangedAudioParameters.

This class is used in the AudioProcessorValueTreeState constructor to allow arbitrarily grouped RangedAudioParameters to be passed to an AudioProcessor.

## Constructor & Destructor Documentation

## ◆ ParameterLayout() [1/4]

template<typename... Items>

AudioProcessorValueTreeState::ParameterLayout::ParameterLayout | ( | std::unique_ptr< Items >... | items | ) |

## ◆ ParameterLayout() [2/4]

template<typename It , typename = ValidIfIterator<It>>

AudioProcessorValueTreeState::ParameterLayout::ParameterLayout | ( | It | begin,
|  | It | end
| ) |  |

References begin(), and end().

## ◆ ParameterLayout() [3/4]

AudioProcessorValueTreeState::ParameterLayout::ParameterLayout | ( | const ParameterLayout & | other | ) |
| delete

## ◆ ParameterLayout() [4/4]

AudioProcessorValueTreeState::ParameterLayout::ParameterLayout | ( | ParameterLayout && | other | ) |
| noexcept

## Member Function Documentation

## ◆ add() [1/2]

template<typename... Items>

void AudioProcessorValueTreeState::ParameterLayout::add | ( | std::unique_ptr< Items >... | items | ) |

## ◆ add() [2/2]

template<typename It , typename = ValidIfIterator<It>>

void AudioProcessorValueTreeState::ParameterLayout::add | ( | It | begin,
|  | It | end
| ) |  |

References begin(), and end().

## ◆ operator=() [1/2]

ParameterLayout & AudioProcessorValueTreeState::ParameterLayout::operator= | ( | const ParameterLayout & | other | ) |
| delete

## ◆ operator=() [2/2]

ParameterLayout & AudioProcessorValueTreeState::ParameterLayout::operator= | ( | ParameterLayout && | other | ) |
| noexcept

## ◆ swap()

void AudioProcessorValueTreeState::ParameterLayout::swap | ( | ParameterLayout & | other | ) |
| noexcept

The documentation for this class was generated from the following file:

- juce_AudioProcessorValueTreeState.h